(function (Drupal) {
  "use strict";

  Drupal.behaviors.pageScripts = {
    attach(context, settings) {
      // Runs once per page load on Project Page nodes only.
      var projectSticky = new hcSticky("#projectStickyItem", {
        stickTo: "#projectStickyCont",
        top: 32,
        bottom: 0,
        mobileFirst: true,
        disable: true,
        responsive: {
          768: {
            disable: false,
          },
        },
        onResize: function () {
          projectSticky.refresh();
        },
      });
    },
  };
})(Drupal);
